Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vistech.jai.roi
Class ROIStats

    java.lang.Object
      |
      +--com.vistech.jai.roi.ROIStats

public class ROIStats
extends java.lang.Object

A utility class that provides a number of static methods for computing ROI-related data.

Version:
  1.0 21 Nov 2000
Author:
  Lawrence Rodrigues

Constructor Summary
`ROIStats()`

Method Summary
`static int[][]` | `computeHistData(javax.media.jai.PlanarImage image, int numbins)`
`static int[][]` | `computeHistData(javax.media.jai.PlanarImage image, javax.media.jai.ROIShape roi, int numbins)`
`static double[][]` | `computeMinMax(javax.media.jai.PlanarImage image)`
`static double[][]` | `computeMinMax(javax.media.jai.PlanarImage image, javax.media.jai.ROIShape roi)`
`javax.media.jai.TiledImage` | `createTiledImage(javax.media.jai.PlanarImage image)`
`static double[]` | `getMean(javax.media.jai.PlanarImage image)`
`static double[]` | `getMean(javax.media.jai.PlanarImage image, javax.media.jai.ROI roi)`
`static double[][]` | `getMinMax(javax.media.jai.PlanarImage image)`
`static double[][]` | `getMinMax(javax.media.jai.PlanarImage image, javax.media.jai.ROI roi)`
`static javax.media.jai.PlanarImage` | `loadImage(java.lang.String filename)`
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ROIStats

    public ROIStats()

Method Detail

### getMinMax

    public static double[][] getMinMax(javax.media.jai.PlanarImage image,
                                       javax.media.jai.ROI roi)

### getMinMax

    public static double[][] getMinMax(javax.media.jai.PlanarImage image)

### getMean

    public static double[] getMean(javax.media.jai.PlanarImage image)

### getMean

    public static double[] getMean(javax.media.jai.PlanarImage image,
                                   javax.media.jai.ROI roi)

### createTiledImage

    public javax.media.jai.TiledImage createTiledImage(javax.media.jai.PlanarImage image)

### loadImage

    public static javax.media.jai.PlanarImage loadImage(java.lang.String filename)

### computeHistData

    public static int[][] computeHistData(javax.media.jai.PlanarImage image,
                                          int numbins)

### computeMinMax

    public static double[][] computeMinMax(javax.media.jai.PlanarImage image)

### computeMinMax

    public static double[][] computeMinMax(javax.media.jai.PlanarImage image,
                                           javax.media.jai.ROIShape roi)

### computeHistData

    public static int[][] computeHistData(javax.media.jai.PlanarImage image,
                                          javax.media.jai.ROIShape roi,
                                          int numbins)

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD